
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

p, span{
  font-family: Poppins, sans-serif;
}

main {
  height: 120vh;
  background-color: rgb(70, 59, 59);
  overflow: hidden;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

/* ____Header____ */

header {
  height: 15rem;
  background-color: rgb(70, 59, 59);
}

#img-header {
  width: 100%;
  height: 100%;
}

.box-header {
  background: url(https://www.loterot.com/wp-content/uploads/2020/11/gites-groupe-Bandeau-Ferme-du-Loterot-1-1.jpg);
  background-size: cover;
  background-position: center;
  height: 100%;
  position: relative;
  border: 1px solid rgb(94 109 58);
}

#box-txtheader {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 300px;
  position: absolute;
  bottom: -13%;
  left: 15%;
  
  background: url(../images/backg.png);
  background-size: cover;
  background-position: center;
  
}

#box-txtheader p {
  text-align: center;
  margin: 3px;
  font-size: 1.2rem;
  padding:15px;
  font-family: 'Libre Baskerville', serif;
  color: rgb(0, 0, 0);
  text-shadow: 1px 1px 0px rgb(136, 136, 136);
  transform: rotate(5deg)

}


/* ____Presentation wrapper____ */

.wrapper{
  height: 10rem;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  background-color: rgba(233, 233, 233, 0.562);
}

.p-wrap{
  width: 50%;
  margin-top: 40px;
}

.p-wrap p span {
  color: red;
}

#fermier-svg {
  height: 150px;
}

/* ____Liste des produits____ */
.boxfusion{
  display: flex;
  width: 90%;
  height: 80%;
  padding: 40px 0px;
  background : url(https://images.unsplash.com/photo-1587898665061-4e6ed0cc66b3?ixlib=rb-1.2.1&q=80&fm=jpg&crop=entropy&cs=tinysrgb&w=1080&fit=max&ixid=eyJhcHBfaWQiOjEzNzYzNn0?utm_source=dictionnaire&utm_medium=referral) center/cover no-repeat;
  border-radius: 5px;
  box-shadow: inset 0px 0px 10px 10px #000000;
}

.list {
  overflow: auto;
  width: 70%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

#liste-produits{
  opacity: 0;
  transform: translateX(-300px);
  transition: 1s ease-in;
}

.name-product {
  margin-bottom: 8px;
  padding-top: 4px;
  padding-bottom: 4px;
  text-align: center;
  width: 100%;
  background-image: linear-gradient(
    225deg,
    #27d86c 0%,
    #26caf8 50%,
    #4dd3b6 100%
  );
}

.name-produit{
  font-size: 12px;
}

.imgSize140h100w {
  height: 140px;
  width: 100px;
}
.imgContaint {
  object-fit: contain;
  /* object-fit: cover; */
}

.price {
  margin-top: 5px;
  padding-bottom: 4px;
}

.priceqte {
  display: flex;
  justify-content: space-around;
  width: 100%;
  margin-top: 4px;
  background-image: linear-gradient(
    225deg,
    #27d86c 0%,
    #26caf8 50%,
    #4dd3b6 100%
  );
}

.qte {
  margin-top: 8px;
}

.inputqt {
  border-radius: 20px;
  border: 1px solid black;
  text-align: center;
  visibility: hidden;
  margin: 3px;
}

.box-product {
  border: 1px solid rgb(216, 213, 213);
  color: rgb(0, 0, 0);
  background-color: #fff;
  height: 210px;
  margin: 5px;
  width: 180px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  transition: 0.2s;
}

.box-product:hover {
  transform: scale(95%);
  transition: 0.2s;
  box-shadow: 3px 3px 5px 0px #000000, inset 3px 3px 10px 0px #ffffff,
  5px 5px 15px 5px rgba(0, 0, 0, 0);
}

.prod-dispo:hover .inputqt {
  visibility: visible;
}

.prod-indispo {
  filter: blur(2px);
}

/* ____Panier____ */

#panier {
  display: grid;
  grid-template-rows: 0fr 2fr 0fr;
  width: 20%;
  margin: 0px auto;
  opacity: 0;
  transform: translateX(300px);
  transition: 1s ease-in;
}

.box-panier {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 5rem;
  background-color: rgb(240, 240, 240);
  border-top-left-radius: 30px;
  border-top-right-radius: 30px;
}

#text-panier {
  grid-column: 3;
}

body > main > div#panier > div.box-panier > i {
  font-size: 2rem;
  margin-left: 1rem;
}

.panier-area {
  overflow: auto;
  background-image: linear-gradient(
    225deg,
    #27d86c 0%,
    #26caf8 50%,
    #4dd3b6 100%
  );
}

/* ____Class des produits dans le panier utilisées en JS____ */

.box-list {
  display: grid;
  grid-template-rows: repeat(2, 1fr);
  grid-template-columns: repeat(2, 1fr);
  height: 110px;
  margin-top: 4px;
  align-items: center;
  border: 1px solid black;
}

.box-img {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 0.5rem;
}

.box-qte {
  display: flex;
  align-items: center;
  height: 100%;
  justify-content: center;
  padding-top: 18px;
}

.prod-qt {
  padding-right: 10px;
}

.qte-panier {
  margin-left: 0.4rem;
  margin-right: 0.4rem;
}

.box-name {
  display: flex;
  align-items: center;
  justify-content: center;
}

.box-price {
  display: flex;
  align-items: center;
  justify-content: center;
}

.btn-suppr {
  color: #fff;
}

.img-prod-panier{
  height: 60px;
  width: 60px;
  border-radius: 30px;
}

.btn-suppr:hover {
  cursor: pointer;
  transform: scale(1.6);
  color: rgb(233, 93, 93);
}

.inputInfo{
  text-align: center;
  font-size: 10px;
  height: 2rem;
  font-style: italic;
  border: none;
}

.price-produit {
  display: block;
  font-size: 12px;
  /*...*/
}

/* ____Total + button validate____ */

#box-total {
  text-align: center;
  background-color: #fff;
  width: 100%;
  height: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

.box-validate {
  width: 100%;
  display: flex;
  flex-direction: column;
}

#validate {
  height: 3rem;
  width: 100%;
  font-size: 1.5rem;
  cursor: pointer;
  border: 0px;
  background: transparent;
  overflow: hidden;
  position: relative;
  transition: all 0.2s;
  border-bottom-left-radius: 30px;
  border-bottom-right-radius: 30px;
  z-index: 1;
  color: #fff;
  box-shadow: 0px -0px 0px 0px rgba(143, 64, 248, 0.5),
    0px 0px 0px 0px rgba(39, 200, 255, 0.5);
}

#validate::after {
  content: "";
  width: 500px;
  height: 500px;
  position: absolute;
  top: -120px;
  left: -50px;
  background-image: linear-gradient(
    225deg,
    #27d86c 0%,
    #26caf8 50%,
    #c625d0 100%
  );
  z-index: -1;
  transition: all 0.5s;
}

#validate:hover::after {
  transform: rotate(140deg);
}

#validate:hover {
  box-shadow: 10px -10px 25px 0px rgba(143, 64, 248, 0.25),
    -10px 10px 25px 0px rgba(39, 200, 255, 0.25);
}

/* ____Footer____ */

footer {
  background-color: rgb(233, 233, 233);
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.a-login{
  font-family: Poppins, sans-serif;
  text-decoration: none;
  color: #000000;
}

@media screen and (max-width: 1182px) {
  #panier{
    width: 25%;
  }
  #liste-produits{
    width: 60%;
  }
}

@media screen and (max-width: 954px) {
  #panier{
    width: 30%;
  }
  #liste-produits{
    width: 55%;
  }
}

@media screen and (max-width: 700px) {
  #fermier-svg{
    display:none;
  }

  .wrapper{
    height: 12rem;
  }

  #box-txtheader{
    left: 0;
  }

  #liste-produits{
    width: 30%;
  }

  #panier{
    width: 35%;
  }
}

@media screen and (max-width: 550px) {
  #panier{
    width: 50%;
  }

  .wrapper{
    height: 14rem;
  }

  #liste-produits{
    width: 40%;
  }
}

